- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
qi::detail::FutureBase Class Reference

`#include <future_fwd.hpp>`

## Public Member Functions
| FutureBase ()
| ~FutureBase ()
FutureState | wait (int msecs) const
FutureState | wait (qi::Duration duration) const
FutureState | wait (qi::SteadyClock::time_point timepoint) const
FutureState | state () const
bool | isRunning () const
bool | isFinished () const
bool | isCanceled () const
bool | isCancelRequested () const
bool | hasError (int msecs) const
bool | hasValue (int msecs) const
const std::string & | error (int msecs) const
void | reportStart ()

## Public Attributes
FutureBasePrivate * | _p

## Protected Member Functions
void | reportValue ()
void | reportError (const std::string &message)
void | requestCancel ()
void | reportCanceled ()
boost::recursive_mutex & | mutex ()
void | notifyFinish ()

## Detailed Description

Definition at line 952 of file future_fwd.hpp.

## Constructor & Destructor Documentation

qi::detail::FutureBase::FutureBase | ( |  | ) |

qi::detail::FutureBase::~FutureBase | ( |  | ) |

## Member Function Documentation

const std::string& qi::detail::FutureBase::error | ( | int | msecs | ) | const

bool qi::detail::FutureBase::hasError | ( | int | msecs | ) | const

bool qi::detail::FutureBase::hasValue | ( | int | msecs | ) | const

bool qi::detail::FutureBase::isCanceled | ( |  | ) | const

bool qi::detail::FutureBase::isCancelRequested | ( |  | ) | const

bool qi::detail::FutureBase::isFinished | ( |  | ) | const

bool qi::detail::FutureBase::isRunning | ( |  | ) | const

boost::recursive_mutex& qi::detail::FutureBase::mutex | ( |  | ) |
| protected

void qi::detail::FutureBase::notifyFinish | ( |  | ) |
| protected

void qi::detail::FutureBase::reportCanceled | ( |  | ) |
| protected

void qi::detail::FutureBase::reportError | ( | const std::string & | message | ) |
| protected

void qi::detail::FutureBase::reportStart | ( |  | ) |

void qi::detail::FutureBase::reportValue | ( |  | ) |
| protected

void qi::detail::FutureBase::requestCancel | ( |  | ) |
| protected

FutureState qi::detail::FutureBase::state | ( |  | ) | const

FutureState qi::detail::FutureBase::wait | ( | int | msecs | ) | const

FutureState qi::detail::FutureBase::wait | ( | qi::Duration | duration | ) | const

FutureState qi::detail::FutureBase::wait | ( | qi::SteadyClock::time_point | timepoint | ) | const

## Member Data Documentation

FutureBasePrivate* qi::detail::FutureBase::_p

Definition at line 979 of file future_fwd.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/detail/future_fwd.hpp